Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005845 [JEDI VCL] 00 JVCL Components minor always 2012-04-03 13:51 2012-09-10 14:15
Reporter RHoek View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005845: OnPopupShown not called in TJvDatePickerEdit
Description When a method is assigned to TJvDatePickerEdit.OnPopupShown it is never called, when the popup is shown.
Additional Information The parent class 'TJvCustomDatePickerEdit' overrides then 'ShowPopup' method of the 'TJvCustomComboEdit' base class, but does not call 'inherited'.

For 'HidePopup' inherited is also NOT called, but there's code added to call the 'OnPopupHidden' event.
Tags No tags attached.
Attached Files zip file icon DEMO project.zip [^] (85,639 bytes) 2012-04-03 13:52
? file icon JvDatePickerEdit.pas [^] (44,567 bytes) 2012-04-03 13:52

- Relationships

-  Notes
(0019686)
RHoek (reporter)
2012-04-03 13:53

I've added a demo project and the unit 'JvDatePickerEdit.pas' with the required modifications
(0019845)
obones (administrator)
2012-06-11 17:25

Thanks for the demo project
(0019916)
obones (administrator)
2012-06-12 14:47

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2012-04-03 13:51 RHoek New Issue
2012-04-03 13:51 RHoek Issue Monitored: RHoek
2012-04-03 13:52 RHoek File Added: DEMO project.zip
2012-04-03 13:52 RHoek File Added: JvDatePickerEdit.pas
2012-04-03 13:53 RHoek Note Added: 0019686
2012-04-03 14:18 RHoek Issue End Monitor: RHoek
2012-06-11 17:25 obones Note Added: 0019845
2012-06-11 17:25 obones Status new => acknowledged
2012-06-12 14:47 obones Note Added: 0019916
2012-06-12 14:47 obones Status acknowledged => resolved
2012-06-12 14:47 obones Fixed in Version => Daily / SVN
2012-06-12 14:47 obones Resolution open => fixed
2012-06-12 14:47 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker